[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TLCLNonFreeMemManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lclmemmanager.pas line 73

`type TLCLNonFreeMemManager = class`
`public`
`ClearOnCreate: Boolean;` |  |
`property ItemSize: PtrInt; [r]` |  |
`property MaxItemsPerChunk: PtrInt; [rw]`
`procedure Clear;` |  |
`constructor Create();` |  |
`destructor Destroy; override;` |  |
`function NewItem;` |  |
`procedure EnumerateItems();` |  |
`end;`

## Inheritance

`TLCLNonFreeMemManager` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.